	SUBROUTINE MNDLDBOX(DBOX, ISIZE, L16, ALG, CFLAG,                 &
     &                    BORDER, ACENT, BCENT, MAGNIFY, FILE, MSG)
	USE       MSFLIB
	USE       DIALOGM
	IMPLICIT  NONE
C
	TYPE (dialog) DBOX
	INCLUDE   'RESOURCE.FD'
	REAL*8    ACENT, BCENT
	REAL*4    BORDER, MAGNIFY
	INTEGER   ISIZE, CFLAG, IDUM
	INTEGER   control_name, callbacktype
	LOGICAL   TEST, L16
	CHARACTER ALG*2, FILE*(*), MSG*(*), TEXT*30, OLD_DIR*($MAXPATH)
C
C     Initialize Dialog Box
      TEST = DLGINIT(IDD_MndlZoom, DBOX)
	IF (.NOT.TEST) THEN
	   MSG = 'Failed to initialize dialog box'
         RETURN
	END IF
C
	IF (FILE .EQ. ' ') THEN
	   TEST = DLGSET(DBOX, IDC_Save_File,                             &
     &                 'Enter or Confirm Parameters', DLG_TITLE)
      ELSE IF (FILE .EQ. '0') THEN
	   TEST = DLGSET(DBOX, IDC_Save_File,                             &
     &                 '*** RE-CHECK PARAMETERS ***', DLG_TITLE)
	ELSE
	   TEST = DLGSET(DBOX, IDC_Save_File,                             &
     &                 'Sa&ve '//TRIM(FILE), DLG_TITLE)
	END IF
	TEST = TEST .OR. DLGSET(DBOX, IDC_Save_File, .TRUE., DLG_STATE)
	IF (.NOT. TEST) THEN
	   MSG = 'Failed to write into Dialog Box'
	   RETURN
	END IF
C
      OLD_DIR = FILE$CURDRIVE
      IDUM = GETDRIVEDIRQQ(OLD_DIR)
	TEST = DLGSET(DBOX, IDC_Directory_Name, OLD_DIR(1:IDUM))
C
	TEST = DLGSET(DBOX, IDC_Size_List,  4,             DLG_NUMITEMS)
	TEST = DLGSET(DBOX, IDC_Size_List,  ' 640 x 480',  1)
	TEST = DLGSET(DBOX, IDC_Size_List,  ' 800 x 600',  2)
	TEST = DLGSET(DBOX, IDC_Size_List,  '1024 x 768',  3)
	TEST = DLGSET(DBOX, IDC_Size_List,  '1280 x 1024', 4)
	TEST = DLGSET(DBOX, IDC_Size_List,  ISIZE,         DLG_STATE)
	TEST = DLGSET(DBOX, IDC_16_Colors,  L16,           DLG_STATE)
	TEST = DLGSET(DBOX, IDC_236_Colors, .NOT.L16,      DLG_STATE)
	TEST = DLGSET(DBOX, IDC_16_Colors,  'MNDLBUTTON',  DLG_CLICKED)
	TEST = DLGSET(DBOX, IDC_236_Colors, 'MNDLBUTTON',  DLG_CLICKED)
C
	TEST = DLGSET(DBOX, IDC_Escape_,    ALG(1:1)=='E', DLG_STATE)
	TEST = DLGSET(DBOX, IDC_Integer_,   ALG(1:1)=='I', DLG_STATE)
	TEST = DLGSET(DBOX, IDC_Azimuthal_, ALG(1:1)=='A', DLG_STATE)
	TEST = DLGSET(DBOX, IDC_Border_,    ALG(2:2)=='B', DLG_STATE)
	TEST = DLGSET(DBOX, IDC_Escape_,    'MNDLBUTTON',  DLG_CLICKED)
	TEST = DLGSET(DBOX, IDC_Integer_,   'MNDLBUTTON',  DLG_CLICKED)
	TEST = DLGSET(DBOX, IDC_Azimuthal_, 'MNDLBUTTON',  DLG_CLICKED)
	WRITE (TEXT,'(I6)') CFLAG
	TEST = DLGSET(DBOX, IDC_Reference_Angle, TEXT(1:6))
	WRITE (TEXT,'(F6.2)') BORDER
	TEST = DLGSET(DBOX, IDC_Border_Width, TEXT(1:6))
C
	WRITE (TEXT,*) ACENT
	TEST = DLGSET(DBOX, IDC_X_Center, TRIM(ADJUSTL(TEXT)) )
	WRITE (TEXT,*) BCENT                                 	
      TEST = DLGSET(DBOX, IDC_Y_Center, TRIM(ADJUSTL(TEXT)) )
	WRITE (TEXT,*) MAGNIFY
	TEST = DLGSET(DBOX, IDC_Magnify,  TRIM(ADJUSTL(TEXT)) )
C
	MSG = 'OK'
	RETURN
C
      ENTRY MNDLBUTTON(DBOX, control_name, callbacktype)
C
      IDUM = callbacktype
	SELECT CASE (control_name)
	   CASE (IDC_16_Colors)		
	      TEST = DLGSET(DBOX, IDC_236_Colors, .FALSE., DLG_STATE)
	   CASE (IDC_236_Colors)
	      TEST = DLGSET(DBOX, IDC_16_Colors,  .FALSE., DLG_STATE)
	   CASE (IDC_Escape_)
	      TEST = DLGSET(DBOX, IDC_Integer_,   .FALSE., DLG_STATE)
	      TEST = DLGSET(DBOX, IDC_Azimuthal_, .FALSE., DLG_STATE)
	   CASE (IDC_Integer_)
	      TEST = DLGSET(DBOX, IDC_Escape_,    .FALSE., DLG_STATE)
	      TEST = DLGSET(DBOX, IDC_Azimuthal_, .FALSE., DLG_STATE)
	   CASE (IDC_Azimuthal_)
	      TEST = DLGSET(DBOX, IDC_Integer_,   .FALSE., DLG_STATE)
	      TEST = DLGSET(DBOX, IDC_Escape_,    .FALSE., DLG_STATE)
	END SELECT
	END
